ATA_RWCMD_PROTOCOL(9)

NAME
ata_rwcmd_protocol - set taskfile r/w commands and protocol

SYNOPSIS

int ata_rwcmd_protocol(struct ata_taskfile * tf, struct ata_device * dev);

ARGUMENTS

tf
    command to examine and configure

dev
    device tf belongs to

DESCRIPTION

Examine the device configuration and tf->flags to calculate the proper read/write commands and protocol to use.

LOCKING

caller.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT